Page MenuHomePhabricator

Allow to push revisions to review by himself to Differential (bug T1879, change 1/2, Differential part)
ClosedPublic

Authored by dereckson on Oct 10 2012, 2:36 PM.

Details

Reviewers
epriestley
Maniphest Tasks
Restricted Maniphest Task
Commits
Restricted Diffusion Commit
rPb7b783d77125: Allow to push revisions to review by himself to Differential (bug T1879, change…
Summary

Checks if the revision author is in reviewers only if differential.allow-self-accept is false.

Test Plan

Tested locally pushing revisions with "arc diff" to a Phabricator
server with differential.allow-self-accept at true or false with
myself or not as reviewer.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

epriestley accepted this revision.Oct 11 2012, 9:37 PM

Thanks! Either send me a pull request on GitHub or give me a public email address that I can use for author credit and I'll pull from here.

To be coherent with commit rARC088091ca4094, the best would maybe to use:
Author: Sébastien Santoro <dereckson@espace-win.org>

If coherence in commits history isn't a requirement, you can also keep the current commit information (which should be Author: Dereckson <dereckson@espace-win.org>).

epriestley closed this revision.Oct 12 2012, 2:40 PM

Closed by commit rPb7b783d77125 (authored by @dereckson, committed by @epriestley).

dereckson edited edge metadata.Mar 12 2016, 6:26 AM
dereckson changed the visibility from "All Users" to "Public (No Login Required)".